Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.core.impl.score.constraint
Enum ConstraintType

    java.lang.Object
      java.lang.Enum<ConstraintType>
          org.optaplanner.core.impl.score.constraint.ConstraintType

All Implemented Interfaces:
  Serializable, Comparable<ConstraintType>

Deprecated.

    @Deprecated
    public enum ConstraintType

extends Enum<ConstraintType>

Will be removed in version 6.1.0.Beta1.

Enum Constant Summary
`HARD` Deprecated.
`SOFT` Deprecated.

Method Summary
`static ConstraintType` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static ConstraintType[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HARD

    public static final ConstraintType HARD

  Deprecated.

### SOFT

    public static final ConstraintType SOFT

  Deprecated.

Method Detail

### values

    public static ConstraintType[] values()

  Deprecated.
  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ConstraintType c : ConstraintType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ConstraintType valueOf(String name)

  Deprecated.
  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.